
<h3 align="center">
  React Native Common
</h3>

<p align="center">
  Cross Platform <a href="https://facebook.github.io/react-native/">React Native</a> UI Toolkit & API
</p>

<p align="center">
  <a href="https://www.npmjs.com/package/react-native-common"><img src="https://img.shields.io/npm/v/react-native-common.svg?style=flat-square"></a>
  <a href="https://www.npmjs.com/package/react-native-common"><img src="https://img.shields.io/npm/dm/react-native-common.svg?style=flat-square"></a>
  <a href="https://travis-ci.org/rghorbani/react-native-common"><img src="https://img.shields.io/travis/rghorbani/react-native-common/master.svg?style=flat-square"></a>
</p>

<p align="center">
  <a href="https://github.com/prettier/prettier"><img src="https://img.shields.io/badge/styled_with-prettier-ff69b4.svg"></a>
</p>

<br />

## Get Started

### Installation

`$ yarn add react-native-common`

or

`$ npm install react-native-common --save`

## Native Dependencies
Some of the components are using these native dependencies, they are not a requirement but will allow you to create
better lookings apps :)

* react-native-animatable
* react-native-blur

## Usage

```javascript
import { Button } from 'react-native-common';

<Button
  style={{width: 270}}
  borderRadius={10}
  backgroundColor="red"
  label={`Welcome to\nReact Native Common`}
/>
```

## Components Included

- [x] Theming & Default Styles of the Components
- [x] Badge
- [x] Button
- [x] Carousel
- [x] Connection Status Bar
- [x] DrawerLayout
- [x] KeyboardSpacer
- [x] Header
- [x] PageControl
- [x] Popover
- [x] PureListView
- [x] LoadingView
- [x] Text
- [x] TextInput
- [x] MaskedInput
- [x] TagsInput
- [x] SegmentedControl
- [x] AnimatedImage
- [x] NetworkImage
- [x] SettingsList
- [x] SettingsList.Header
- [x] SettingsList.Item
- [x] StyleSheet
- [x] ViewPager

## Documentation

[View the full docs here](https://rghorbani.github.io/react-native-common/)

## Roadmap

#### FIRST CONTRIBUTORS
Look for the label `Good First Task` on the issues. Click [here](https://github.com/rghorbani/react-native-common/issues?q=is%3Aopen+is%3Aissue+label%3A%22Good+First+Task%22) to see them.

#### NOT STARTED
- [ ] Add Image Component which supports parallax
- [ ] Compatibility with react-native-windows
- [ ] Something you's like to see? Submit an [issue](https://github.com/rghorbani/react-native-common/issues/new) or a [pull request](https://github.com/rghorbani/react-native-common/pulls)

## Contributing

Interested in contributing to this repo? Have a look at our [Contributing Guide](https://github.com/rghorbani/react-native-common/blob/master/.github/CONTRIBUTING.MD)

## Related Projects

#### [react-native-general-calendars](https://github.com/rghorbani/react-native-general-calendars)
A `react-native` component with support of gregorian, jalaali and hijri calendar to select and work with date and time, created by [@rghorbani](https://github.com/rghorbani).
